Description: <pre>>>> Messages generated by process 31472 on 2017-09-12 03:04:41 MSK for package 

media-libs/gegl-0.2.0-r2:





QA: other


QA Notice: Package triggers severe warnings which indicate that it


           may exhibit random runtime failures.


�[01m�[Kff-load.c:324:23:�[m�[K �[01;35m�[Kwarning: �[m�[Kimplicit declaration of function 

â€˜�[01m�[Kavcodec_alloc_frame�[m�[Kâ€™ [-Wimplicit-function-declaration]


Please do not file a Gentoo bug and instead report the above QA


issues directly to the upstream developers of this software.


Homepage: http://www.gegl.org/</pre>


Ð”ÐµÐ»Ð¾ Ð² Ñ‚Ð¾Ð¼, Ñ‡Ñ‚Ð¾ Ð² ffmpeg-3.3.3/doc/APIchanges Ð² Ñ•Ñ‚Ñ€Ð¾ÐºÐµ 983 ÐµÑ•Ñ‚ÑŒ 

Ð·Ð°Ð¿Ð¸Ñ•ÑŒ:<pre>2013-12-11 - 29c83d2 / b9fb59d,409a143 / 9431356,44967ab / d7b3ee9 - lavc 

55.45.101 / 55.28.1 - avcodec.h


  av_frame_alloc(), av_frame_unref() and av_frame_free() now can and should be


  used instead of avcodec_alloc_frame(), avcodec_get_frame_defaults() and


  avcodec_free_frame() respectively. The latter three functions are deprecated.</pre>


Ð“Ð´Ðµ Ð´Ñ€Ð¾Ð¿Ð½ÑƒÐ»Ð¸ deprecated Ñ• Ð½Ðµ Ð²Ñ‹Ñ•Ñ•Ð½Ñ•Ð».





ÐŸÑ€ÐµÐ´Ð¸Ñ•Ñ‚Ð¾Ñ€Ð¸Ñ•:


Ð¯ Ð·Ð°Ð¿ÑƒÑ•Ñ‚Ð¸Ð» svg Ð¸Ð·Ð¾Ð±Ñ€Ð°Ð¶ÐµÐ½Ð¸Ðµ Ñ• xfce-terminal Ñ‡ÐµÑ€ÐµÐ· exo-open, 

Ð¾Ð½Ð¾ Ð¾Ñ‚ÐºÑ€Ñ‹Ð»Ð¾Ñ•ÑŒ Ð² gimp, Ð½Ð¾ Ñ• Ð¾Ð±Ñ€Ð°Ñ‚Ð¸Ð» Ð²Ð½Ð¸Ð¼Ð°Ð½Ð¸Ðµ Ð½Ð° 

Ð²Ñ‹Ð²Ð¾Ð´ Ð² ÐºÐ¾Ð½Ñ•Ð¾Ð»Ð¸. Ð¢Ð°Ð¼ Ð±Ñ‹Ð»Ð¾ Ð½Ð°Ð¿Ð¸Ñ•Ð°Ð½Ð¾, Ñ‡Ñ‚Ð¾ 

/usr/lib64/gegl-0.2/ff-load.so undefined reference avcodec_alloc_frame.


Ð¢Ð°Ðº ÐºÐ°Ðº gegl Ð¸ gimp Ð¸ Ð¼Ð½Ð¾Ð³Ð¾ Ñ‡ÐµÐ³Ð¾ ÐµÑ‰Ñ‘ Ñ•Ð¾Ð±Ñ€Ð°Ð½Ð¾ Ñƒ 

Ð¼ÐµÐ½Ñ• Ñ• LTO, Ñ• Ñ€ÐµÑˆÐ¸Ð» Ñ€Ð°Ð·Ð¾Ð±Ñ€Ð°Ñ‚ÑŒÑ•Ñ•. Ð“ÑƒÐ³Ð» Ð´Ð°Ð» Ð¼Ð½Ðµ 

Ñ•Ñ•Ñ‹Ð»ÐºÑƒ Ð½Ð° https://bugs.archlinux.org/task/48463. Ð¢Ð°Ð¼ Ñ• Ð½Ð°ÑˆÑ‘Ð» Ð¿Ð°Ñ‚Ñ‡ Ð´Ð»Ñ• 

gegl Ñ• Ð·Ð°Ð¼ÐµÐ½Ð¾Ð¹ avcodec_alloc_frame Ð½Ð° av_frame_alloc. ÐŸÐ¾Ñ•Ð»Ðµ 

Ð¿Ñ€Ð¸Ð¼ÐµÐ½ÐµÐ½Ð¸Ñ• Ð¿Ð°Ñ‚Ñ‡Ð° Ñ‡ÐµÑ€ÐµÐ· /etc/portage/patches + /etc/portage/bashrc QA 

Ð¿ÐµÑ€ÐµÑ•Ñ‚Ð°Ð» Ð²Ñ‹Ð´Ð°Ð²Ð°Ñ‚ÑŒ Ð¿Ñ€ÐµÐ´ÑƒÐ¿Ñ€ÐµÐ¶Ð´ÐµÐ½Ð¸Ðµ Ð¸ Ð·Ð°Ð¿ÑƒÑ•Ðº gimp 

Ð¸Ð· ÐºÐ¾Ð½Ñ•Ð¾Ð»Ð¸ Ñ‚Ð¾Ð¶Ðµ Ð¿ÐµÑ€ÐµÑ•Ñ‚Ð°Ð» Ð¿Ð¸Ñ•Ð°Ñ‚ÑŒ /usr/lib64/gegl-0.2/ff-load.so 

undefined reference avcodec_alloc_frame.


ÐŸÑ€Ð¾Ñ•ÑŒÐ±Ð°, ÐµÑ•Ð»Ð¸ ÐºÑ‚Ð¾-Ð½Ð¸Ð±ÑƒÐ´ÑŒ Ð·Ð°Ñ€ÐµÐ³ÐµÑ•Ñ‚Ñ€Ð¸Ñ€Ð¾Ð²Ð°Ð½ Ð½Ð° 

gentoo.org Ð¸ Ñ…Ð¾Ñ€Ð¾ÑˆÐ¾ Ð²Ð»Ð°Ð´ÐµÐµÑ‚ Ð°Ð½Ð³Ð»Ð¸Ð¹Ñ•ÐºÐ¸Ð¼, 

Ð¿ÐµÑ€ÐµÑ•ÐºÐ°Ð·Ð°Ñ‚ÑŒ Ð¸Ð¼ Ñ•ÑƒÑ‚ÑŒ Ð¾ÑˆÐ¸Ð±ÐºÐ¸ Ð¸ Ð¿ÐµÑ€ÐµÐ´Ð°Ñ‚ÑŒ Ð¿Ð°Ñ‚Ñ‡.

History

09/12/2017 05:44 pm - Ð¤Ñ‘Ð´Ð¾Ñ€ Ð Ð°Ñ‚Ð¸ÐµÐ²

Ð¢Ð°ÐºÐ¶Ðµ Ñ• Ð¸Ñ•ÐºÐ°Ð» Ð² Ñ€Ð°Ñ•Ð¿Ð°ÐºÐ¾Ð²Ð°Ð½Ð½Ñ‹Ñ… Ð¸Ñ•Ñ…Ð¾Ð´Ð½Ð¸ÐºÐ°Ñ… gegl Ñ‡ÐµÑ€ÐµÐ· double commander - 

avcodec_free_frame, av_frame_unref, av_frame_free, avcodec_free_frame, Ð½Ð¾, Ð½Ð¸Ñ‡ÐµÐ³Ð¾ Ð½Ðµ Ð½Ð°ÑˆÑ‘Ð».

09/12/2017 06:40 pm - Ð¤Ñ‘Ð´Ð¾Ñ€ Ð Ð°Ñ‚Ð¸ÐµÐ²

ÐŸÑ€Ð¾ÑˆÑƒ Ð¿Ñ€Ð¾Ñ‰ÐµÐ½Ð¸Ñ•, Ð·Ð°Ð¿Ð°Ð¼Ñ•Ñ‚Ð¾Ð²Ð°Ð». ÐžÑˆÐ¸Ð±ÐºÐ° Ð±Ñ‹Ð»Ð° Ñ‚Ð°ÐºÐ°Ñ•:<pre>GEGL-geglmodule.c-Message: 

Module '/usr/lib/gegl-0.2/ff-load.so' load error: /usr/lib/gegl-0.2/ff-load.so: undefined symbol: avcodec_alloc_frame</pre>

09/25/2017 09:18 am - Alexander Tratsevskiy

03/13/2024 1/2



- Status changed from New to Feedback

ÐœÐ¾Ð¶ÐµÑ‚ Ð¾ÑˆÐ¸Ð±ÐºÑƒ Ñ•Ð»ÐµÐ´ÑƒÐµÑ‚ Ð¿ÐµÑ€ÐµÐ°Ð´Ñ€ÐµÑ•Ð¾Ð²Ð°Ñ‚ÑŒ Ð¼Ð°Ð½Ñ‚ÐµÐ¹Ð½ÐµÑ€Ñƒ Ð¿Ð°ÐºÐµÑ‚Ð° Ð² 

https://bugs.gentoo.org, Ñ‡Ñ‚Ð¾Ð±Ñ‹ Ð² Gentoo ÐµÑ‘ Ñ‚Ð°Ðº Ð¶Ðµ ÑƒÑ•Ñ‚Ñ€Ð°Ð½Ð¸Ð»Ð¸?

Files

0001-use-av_frame_alloc-instead-of-avcodec_alloc_frame.patch 955 Bytes 09/12/2017 Ð¤Ñ‘Ð´Ð¾Ñ€ Ð Ð°Ñ‚Ð¸ÐµÐ²
